/* node.h
 * libxml++ and this file are copyright (C) 2000 by Ari Johnson, and
 * are covered by the GNU Lesser General Public License, which should be
 * included with libxml++ as the file COPYING.
 */

#ifndef __LIBXMLPP_NODES_TEXTNODE_H
#define __LIBXMLPP_NODES_TEXTNODE_H

#include <libxml++/nodes/node.h>

namespace xmlpp {

class TextNode : public Node
{
public:
  TextNode(const std::string& content);
  explicit TextNode(const TextNode* from);
  explicit TextNode(xmlNodePtr node);
  virtual ~TextNode();

  std::string get_content() const;
  void set_content(const std::string& content);
  
  void write(xmlDocPtr doc, xmlNodePtr parent = 0) const;

protected:
  std::string _content;
};

} // namespace xmlpp

#endif //__LIBXMLPP_NODES_TEXTNODE_H



